Subject: Re: Simple Win32 program
From: [email-masked] (john kelly)

9 Mar 1998 20:38:52 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Mark Read" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>

One way to use the make file is to pipe it to make:
cat file.mak | make

-----Original Message-----
From: Mark Read <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Sunday, March 08, 1998 8:38 PM
Subject: Re: Simple Win32 program

>Hi Jason.
>
>Thanks for the source code you passed on from Tomas. While I couldn't get
>the make to work (how do I do this from my DOSBOX?), I did get the single
>line gcc compile to work. The wintest.exe worked on my Win98 beta3
>environment okay.
>
>I took a look at the source code. wintest.c is straight forward. However, I
>do not understand at all what crt0twin.c (window?) and crt0tcon.c
(console?)
>do!! Can you shed any light on this? Are these 2 files needed? Are they
>stubs of some kind?
>
>Cheers, Mark.
>
>
>-----Original Message-----
>From: Jason Dagit <[email-masked]>
>To: [email-masked] <[email-masked]>
>Date: Sunday, 8 March 1998 12:41
>Subject: Simple Win32 program
>
>
>>Ok, I would just like to say, I got my first Win32 program compiled
>>today.  If any other newbies need the source please step forward.  I
>>think I have sent a copy to eveyone who asked for one, but I might have
>>missed someone.  Also, I would like to say something that Tomas Vanak
>>told me.
>><Quote>
>>recently I've found that the success very very very depends on CR/LF at
>>the end of lines. If you have mounted text=binary and lines end with
>>CRLF,
>>you are f**k*d. <---[censored :)]
>>So try this: Try to make it yourself by issuing command from Makefile
>>from command line-
>>gcc -o wintest wintest.c crt0twin.c -lkernel32 -luser32
>>-Wl,--subsystem,windows
>></Quote>
>>It worked for me.  I will try to pull the information that I have used
>>to get started together so that it can be added to the FAQ or put on the
>>Cygnus web page.  This might not get done until Sunday though.
>>-
>>For help on using this list (especially unsubscribing), send a message to
>>"[email-masked]" with one line of text: "help".
>>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".